Method: reasoningEngines.delete

Full name: projects.locations.reasoningEngines.delete

Deletes a reasoning engine.

Endpoint

delete https://{service-endpoint}/v1beta1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the ReasoningEngine resource to be deleted. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}

Query parameters

force boolean

Optional. If set to true, child resources of this reasoning engine will also be deleted. Otherwise, the request will fail with FAILED_PRECONDITION error when the reasoning engine has undeleted child resources.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.reasoningEngines.delete

For more information, see the IAM documentation.